Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 187943 - Code completion for sections
Code completion for sections
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: JSF Editor
6.x
All All
: P3 (vote)
: 8.0
Assigned To: Martin Fousek
issues@javaee
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-22 12:48 UTC by Erno Mononen
Modified: 2016-04-06 19:38 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erno Mononen 2010-06-22 12:48:21 UTC
It would be nice if the editor supported code completion for facelets sections in ui:define when the template is knowns. E.g. in the following the sections from template.xhtml would be offered:

 <ui:composition template="./template.xhtml">
   <ui:define name="^ <= invoke cc here">
...
Comment 1 Martin Fousek 2013-11-11 09:26:53 UTC
Implemented into NetBeans 8.0. It completes sections from the templates of web roots and also from resource libraries contracts!

web-main #e4e1c48693eb
Comment 2 markiewb 2016-04-06 19:38:55 UTC
(In reply to Martin Fousek from comment #1)
> Implemented into NetBeans 8.0. It completes sections from the templates of
> web roots and also from resource libraries contracts!
> 
> web-main #e4e1c48693eb

So marking as resolved fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo